Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.meetecho.ai/api/auth/signup \ --header 'Content-Type: application/json' \ --data ' { "email": "luthfulahi@meetecho.ai", "password": "Password@12345", "first_name": "Luthfulahi", "last_name": "Oseni", "business_name": "Grone", "business_summary": "A new age mood app", "industry": "Utility" } '
{ "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiI4MWQ3Nzk5NC04ZjlhLTRjY2MtYmNlZC05YjQyZjcxNzNjMmYiLCJlbWFpbCI6Imx1dGVlcGhAZ21haWwuY29tIiwiaWF0IjoxNzczODUyMjU1LCJleHAiOjE3NzY0NDQyNTV9.gvFBQ4xxDEopUCXSGiZH76Nnr4Ka1MkgZU2pZkkOWL4", "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiI4MWQ3Nzk5NC04ZjlhLTRjY2MtYmNlZC05YjQyZjcxNzNjMmYiLCJlbWFpbCI6Imx1dGVlcGhAZ21haWwuY29tIiwiaWF0IjoxNzczODUyMjU1LCJleHAiOjE3NzQ0NTcwNTV9.11URIUxCUZ0l2YMzHLpTEg6GpazSsFCzyEXcBMqAaso", "user": { "id": "81d77994-8f9a-4ccc-bced-9b42f7173c2f", "email": "luthfulahi@meetecho.ai", "first_name": "Luthfulahi", "last_name": "Oseni" }, "business": { "id": "97bfa642-d2cb-46d5-8de8-6d3553c83007", "name": "Grone" }, "default_project": { "id": "e56b4c35-882d-4604-9944-9763d314ea59", "name": "default", "api_key": "echo_6f437a610fbb65e6a2742c60ef3e916a80f638522ff11fcc1c711b75fd958534" } }
Creates a user, business, default project, and default API key in one atomic transaction. Save the returned api_key — it is shown exactly once.
api_key
"luthfulahi@meetecho.ai"
8
"Password@12345"
"Luthfulahi"
"Oseni"
"Grone"
"A new age mood app"
"Utility"
Account created
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
Show child attributes
Save api_key — shown exactly once.